"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpException_1 = __importDefault(require("./HttpException"));
const http_status_1 = __importDefault(require("../utils/http-status"));
// Storing the status code and Default message for the UnauthorizedException
const statusCode = http_status_1.default.UNAUTHORIZED;
const defaultMessage = `${statusCode} Unauthorized`;
/**
 * Custom exception class for unauthorized access.
 * Extends the HttpException class.
 */
class UnauthorizedException extends HttpException_1.default {
    /**
     * Constructor for UnauthorizedException.
     * @param message - Optional. The error message for the exception. Defaults to the default message.
     * @param properties - Optional. Additional properties to be attached to the exception.
     */
    constructor(message = defaultMessage, properties) {
        // Call the constructor of the parent class (HttpException) with appropriate parameters.
        super(statusCode, message, properties);
        // Set the name of the exception for identification purposes.
        this.name = 'UnauthorizedException';
    }
}
exports.default = UnauthorizedException;
