"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const NotFoundException_1 = __importDefault(require("../exceptions/NotFoundException"));
/**
 * Middleware for handling 404 Not Found errors.
 *
 * @param _: Express Request object (unused)
 * @param __: Express Response object (unused)
 * @param next: Express NextFunction to pass control to the next middleware
 */
async function notFoundMiddleware(_, __, next) {
    return next(new NotFoundException_1.default('The route is not available.'));
}
exports.default = notFoundMiddleware;
