import HttpException from './HttpException';
/**
 * Custom BadRequestException class extending HttpException.
 * This exception is used to represent HTTP 400 Bad Request errors.
 */
export default class BadRequestException extends HttpException {
    /**
     * Constructor for the BadRequestException class.
     *
     * @param {string} message - The error message for the exception (default: defaultMessage).
     * @param {object | undefined} properties - Additional properties for the exception (optional).
     */
    constructor(message?: string, properties?: object);
}
