import HttpException from './HttpException';
/**
 * Custom ConflictException class extending HttpException.
 * This exception is used to represent HTTP 409 Conflict errors.
 */
export default class ConflictException extends HttpException {
    /**
     * Constructor for the ConflictException class.
     * @param message - The error message (default is the predefined message).
     * @param properties - Additional properties to include in the error response.
     */
    constructor(message?: string, properties?: object);
}
