import HttpException from './HttpException';
/**
 * Custom ForbiddenException class extending HttpException.
 * This exception is used to represent HTTP 403 Forbidden errors.
 */
export default class ForbiddenException extends HttpException {
    /**
     * Constructor for ForbiddenException.
     * @param {string} message - The error message for the exception. Default is defaultMessage.
     * @param {object | undefined} properties - Additional properties to include in the exception.
     */
    constructor(message?: string, properties?: object);
}
