import { Response } from 'express';
/**
 * HTTP exception class
 */
export default class HttpException extends Error {
    protected statusCode: number;
    protected properties: object;
    /**
     * Creates an instance of the HttpException class.
     *
     * @param {number} statusCode - HTTP status code
     * @param {string} message - error message
     * @param {object} properties - Additional properties
     */
    constructor(statusCode: number, message: string, properties?: object);
    /**
     * Method to send a JSON response with error details.
     *
     * @param {Response} res - express response object
     */
    sendResponse(res: Response): Response<any, Record<string, any>>;
}
