import HttpException from './HttpException';
/**
 * Custom exception class for representing internal server errors.
 * Extends the HttpException class.
 */
export default class InternalServerException extends HttpException {
    /**
     * Constructor for InternalServerException.
     * @param {string} message - The error message. Defaults to defaultMessage if not provided.
     * @param {object} properties - Additional properties to be attached to the exception.
     */
    constructor(message?: string, properties?: object);
}
