import HttpException from './HttpException';
/**
 * `NotAcceptableException` class represents an HTTP exception with a status code of 406 Not Acceptable.
 * It extends the `HttpException` class.
 */
export default class NotAcceptableException extends HttpException {
    /**
     * Constructor for `NotAcceptableException` class.
     *
     * @param {string} message - The error message associated with the exception. Defaults to a generic message.
     * @param {object} properties - Additional properties that can be attached to the exception.
     */
    constructor(message?: string, properties?: object);
}
