import HttpException from './HttpException';
/**
 * Custom exception class for handling HTTP 413 Payload Too Large errors.
 * Extends the base HttpException class.
 */
export default class PayloadTooLargeException extends HttpException {
    /**
     * Constructor for PayloadTooLargeException.
     *
     * @param message - Optional. Custom error message for the exception. Defaults to a standard message.
     * @param properties - Optional. Additional properties to attach to the exception.
     */
    constructor(message?: string, properties?: object);
}
