import HttpException from './HttpException';
/**
 * RequestTimeoutException class represents an exception for HTTP request timeouts.
 * It extends the HttpException class to handle HTTP-related exceptions.
 */
export default class RequestTimeoutException extends HttpException {
    /**
     * Constructor for the RequestTimeoutException class.
     * @param message The error message for the exception. Defaults to defaultMessage.
     * @param properties Additional properties to include in the exception. Optional.
     */
    constructor(message?: string, properties?: object);
}
