import HttpException from './HttpException';
/**
 * Custom exception class for representing Unprocessable Entity errors.
 * Extends the base HttpException class.
 */
export default class UnprocessableEntityException extends HttpException {
    /**
     * Constructor for the UnprocessableEntityException class.
     *
     * @param message - Optional. Custom error message. Defaults to 'Unprocessable Entity'.
     * @param properties - Optional. Additional properties to include in the error response.
     */
    constructor(message?: string, properties?: object);
}
