import HttpException from './HttpException';
/**
 * Custom exception class for representing Unsupported Media Type errors.
 * Extends the base HttpException class.
 */
export default class UnsupportedMediaTypeException extends HttpException {
    /**
     * Constructor for the UnsupportedMediaTypeException class.
     *
     * @param message - Optional. Custom error message. Defaults to 'Unprocessable Entity'.
     * @param properties - Optional. Additional properties to include in the error response.
     */
    constructor(message?: string, properties?: object);
}
