import { NextFunction, Request, Response } from 'express';
import HttpException from '../exceptions/HttpException';
/**
 * Middleware function to handle errors and send appropriate responses.
 *
 * @param error - The HttpException representing the error that occurred.
 * @param _ - Express Request object (unused in this middleware).
 * @param res - Express Response object for sending HTTP responses.
 * @param next - Express NextFunction for passing control to the next middleware.
 */
export default function errorMiddleware(error: HttpException, _: Request, res: Response, next: NextFunction): Response<any, Record<string, any>>;
